package cn.com.countrygarden.bi.main.service.wcx;

import cn.com.countrygarden.bi.main.dto.wcx.WcxInnovationOtherDto;
import cn.com.countrygarden.bi.main.model.PageData;

public interface WcxInnovationOtherService {

    /**
     * 分页查询举报的创意
     * @param dto
     * @return
     */
    PageData selectPageList(WcxInnovationOtherDto dto);

    /**
     * 撤回举报的创意
     * @param innoOtherId
     */
    void cancelReport(String innoOtherId, String sysUserCode, String sysUserName);

    /**
     * 屏蔽举报的创意
     * @param wcxinnovOtherId
     */
    void hideReport(String wcxinnovOtherId, String sysUserCode, String sysUserName);

    /**
     * 被举报内容详细信息
     * @param innoOtherId
     * @return
     */
    WcxInnovationOtherDto findFirst(String innoOtherId);
}
